Graphical glitches when certain OpenGL games go fullscreen

Bug #1575412 reported by Ty Young on 2016-04-26
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu GNOME
Undecided
Unassigned
Xenial
Undecided
Unassigned
nvidia-graphics-drivers-361 (Ubuntu)
Medium
Unassigned

Bug Description

When launching certain OpenGL games, graphical glitches consisting of current or recently closed applications can be seen at the very bottom of the screen as the window goes fullscreen.

This mostly only happens on games that load a lot of data before starting. Smaller games usually start with little or not graphical glitches.

While I am not 100% sure, this bug may also be causing a cut-out of the bootloader on all TTY console screens, making them very hard to use as well as the bootloader screen showing until the Gnome shell loads.

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: xorg 1:7.7+13ubuntu3
ProcVersionSignature: Ubuntu 4.4.0-21.37-generic 4.4.6
Uname: Linux 4.4.0-21-generic x86_64
NonfreeKernelModules: nvidia_uvm nvidia_drm nvidia_modeset nvidia
.proc.driver.nvidia.gpus.0000.01.00.0: Error: [Errno 21] Is a directory: '/proc/driver/nvidia/gpus/0000:01:00.0'
.proc.driver.nvidia.registry: Binary: ""
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86_64 Kernel Module 364.19 Tue Apr 19 14:44:55 PDT 2016
 GCC version: gcc version 5.3.1 20160413 (Ubuntu 5.3.1-14ubuntu2)
.proc.driver.nvidia.warnings.fbdev:
 Your system is not currently configured to drive a VGA console
 on the primary VGA device. The NVIDIA Linux graphics driver
 requires the use of a text-mode VGA console. Use of other console
 drivers including, but not limited to, vesafb, may result in
 corruption and stability problems, and is not supported.
ApportVersion: 2.20.1-0ubuntu2
Architecture: amd64
BootLog:

CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: None
CurrentDesktop: GNOME
Date: Tue Apr 26 16:57:29 2016
DistUpgraded: Fresh install
DistroCodename: xenial
DistroVariant: ubuntu
DkmsStatus:
 bbswitch, 0.8, 4.4.0-21-generic, x86_64: installed
 nvidia-364, 364.19, 4.4.0-21-generic, x86_64: installed
GraphicsCard:
 NVIDIA Corporation GM206 [GeForce GTX 960] [10de:1401] (rev a1) (prog-if 00 [VGA controller])
   Subsystem: eVga.com. Corp. GM206 [GeForce GTX 960] [3842:3969]
InstallationDate: Installed on 2016-04-23 (3 days ago)
InstallationMedia: Ubuntu-GNOME 16.04 LTS "Xenial Xerus" - Release amd64 (20160421)
MachineType: Acer Aspire M3970G
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-21-generic.efi.signed root=UUID=2da20df4-bd28-4c09-8338-2c5344abe045 ro nopat quiet splash vesafb.invalid=1
SourcePackage: xorg
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 11/25/2011
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: P02-A3
dmi.board.name: Aspire M3970G
dmi.board.vendor: Acer
dmi.chassis.type: 3
dmi.chassis.vendor: Acer
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrP02-A3:bd11/25/2011:svnAcer:pnAspireM3970G:pvr:rvnAcer:rnAspireM3970G:rvr:cvnAcer:ct3:cvr:
dmi.product.name: Aspire M3970G
dmi.sys.vendor: Acer
version.compiz: compiz N/A
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.67-1
version.libgl1-mesa-dri: libgl1-mesa-dri 11.2.0-1ubuntu2
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 11.2.0-1ubuntu2
version.nvidia-graphics-drivers: nvidia-graphics-drivers-* N/A
version.xserver-xorg-core: xserver-xorg-core 2:1.18.3-1ubuntu2
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.10.1-1ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.7.0-1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20160325-1ubuntu1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.12-1build2
xserver.bootTime: Tue Apr 26 16:51:25 2016
xserver.configfile: default
xserver.errors: open /dev/fb0: No such file or directory
xserver.logfile: /var/log/Xorg.0.log
xserver.outputs:

xserver.version: 2:1.18.3-1ubuntu2

Ty Young (bluegoliath) wrote :
Ty Young (bluegoliath) on 2016-04-26
description: updated
Tim Lunn (darkxst) wrote :

Hi Ty, Are you able to attach a screenshot of the glitches?

Ty Young (bluegoliath) wrote :

Yes, I am. It should (hopefully) be attached to this comment. Apologies if this isn't the way to do it, can't see any other option to upload an an attachment.

Its hard to really see both due to my phone's terrible camera and the lighting, but the little part under Steam(very bottom of the image) is the area where it happens. I'll try to get a better picture if I can.

 For whatever reason this bug isn't anywhere near as bad in 16.04 as it was in 15.10 regardless of the Nvidia driver used(364.29/261.42). In 15.10 there was red/orange blocks that show up on the screen as well as the current/recently closed applications and it took up a much larger part of the screen.

Ty Young, thank you for reporting this and helping make Ubuntu better.

To clarify, if you uninstall the nvidia proprietary drivers is this issue reproducible?

tags: added: bios-outdated-p03.a2l
Changed in xorg (Ubuntu):
importance: Undecided → Low
status: New → Incomplete
Ty Young (bluegoliath) wrote :

You mean reinstalling/switching driver versions? Yes, it is... sort of.

Steam(and thus the openGL games I play) don't work with open source GPU driver,

The graphical glitches seem to depend on what was/is going on in the GPUs memory/framebuffer. If you have chromium open or opened recently you might see parts of Chromium mixed in with the graphical glitches. Same thing for every other application.

Switching between TTY and Gnome shell or switching users causes graphical corruption in overview. restarting the shell fixes it(see attachment).

This bug also happens on the GTX 750 TI as well that I had before.

I'm not on an expert on these things, but I really this needs to fixed ASAP. If the GPU is displaying information like this of previously opened applications or currently open then personal information could *potentially* be leaked via a corrupt but readable image of a word document or something.

Please consider giving it a higher importance level/rating!

Ty Young (bluegoliath) wrote :

I attempted to upgrade the BIOS but I received an error saying that the ROM size is not the same as the BIOS size. The current version of my BIOS is PO2-A3, if it helps any.

Ty Young (bluegoliath) wrote :

No, same message.

Ty Young:
1) To clarify, did you install the nvidia drivers from upstream or the Ubuntu repositories?
2) Is there an older version of the driver that doesn't demonstrate this problem?

tags: removed: bios-outdated-p03.a2l
description: updated
Changed in xorg (Ubuntu):
importance: Low → Medium
Ty Young (bluegoliath) wrote :

1). I'm currently using an Nvidia driver from the Official Ubuntu Driver PPA here: https://launchpad.net/~graphics-drivers/+archive/ubuntu/ppa

I have used driver versions that are just in the normal Ubuntu repositories and they still have graphical glitches.

2). No, not that I'm aware of.

As said before, the graphical glitches in 16.04 isn't as bad or frequent as in 15.10. However, the overview corruption, bootloader screen being shown up until the login screen, and the bootloader cutout on each TTY screen is the same.

Ty Young, to advise, there is nothing official about using a PPA (i.e. not officially supported in Ubuntu), by the very definition of what a PPA is.

Despite this, which Ubuntu repository driver versions have you tested in both 15.10 and 16.04?

Ty Young (bluegoliath) wrote :

I'm not exactly sure as I almost always download the latest version via the PPA. I may have very briefly used 364 in both 15.10 and 16.04 at some point.

Ty Young, ok, so what nvidia drivers are advertised to you when you open Additional Drivers?

Ty Young (bluegoliath) wrote :

367.27(in use currently)
364.19
358.16
361.45.18

Side note: 367.27's libcuda1.367 and nvidia-opencl-icd-367 packages have no "script" with either packages and won't install. Something to do with this specific driver version from the PPA, the graphical glitches (as mentioned before) still happen regardless of version.

Ty Young, could you please report this upstream following https://help.ubuntu.com/community/BinaryDriverHowto/Nvidia#Reporting_an_upstream_bug and advise to their response?

affects: xorg (Ubuntu) → nvidia-graphics-drivers-361 (Ubuntu)
Changed in nvidia-graphics-drivers-361 (Ubuntu):
status: Incomplete → New
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers